#!/usr/bin/python

# This is supposed to be using Distribute:
#
#   distutils provides a "setup" method.
#   setuptools is a set of monkeypatches on top of that.
#   distribute is a particular version/implementation of setuptools.
#
# So we don't really know if this is using the old setuptools or the
# Distribute-provided version of setuptools.

from setuptools import setup, find_packages
from distutils.extension import Extension

from Cython.Build import cythonize

# Hack to workaround logging/multiprocessing issue:
# https://groups.google.com/d/msg/nose-users/fnJ-kAUbYHQ/_UsLN786ygcJ
try: import multiprocessing
except: pass

# Build cython modules.
cython_modules = cythonize("**/*.pyx")

# Run setup
setup(name='nilmdb',
      version = '1.0',
      url = 'https://git.jim.sh/jim/lees/nilmdb.git',
      author = 'Jim Paris',
      author_email = 'jim@jtan.com',
      tests_require = [ 'nose',
                        'coverage',
                        ],
      setup_requires = [ 'cython',
                        ],
      install_requires = [ 'distribute',
                           'decorator',
                           ],
      packages = [ 'nilmdb',
                   'nilmdb.utils',
                   'nilmdb.utils.datetime_tz',
                   'nilmdb.server',
                   'nilmdb.client',
                   'nilmdb.cmdline',
                   ],
      ext_modules = cython_modules,
      zip_safe = False,
      )
